Menu

## Extension
in package

Extension.php : 20

Annotation that is used to flag which entity a class extends.

##### Tags

Annotation
Target

  ("CLASS")

Attributes

  ({ @Attribute("of", type="string") })

### Table of Contents

$modelClass : string
__construct() : mixed
  Extension constructor.
getModelClass() : string
  Returns the model class name.

### Properties

#### $modelClass

Extension.php : 22
`private string $modelClass`

### Methods

#### __construct()

Extension.php : 29

Extension constructor.

`public __construct(array<string|int, mixed> $attributes) : mixed`

##### Parameters

$attributes : array<string|int, mixed>

##### Tags

throws
  ArgumentException

##### Return values

mixed —

#### getModelClass()

Extension.php : 46

Returns the model class name.

`public getModelClass() : string`

##### Return values

string —

## Search results